VRPlatformVRPlatform
Teams

/teams/opening-balances/advanced-deposits

Update opening balance advanced deposits

PUT
/teams/opening-balances/advanced-deposits
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

accountId?string|null
amount?integer|null
currency?string|null
reservations*

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.vrplatform.app/teams/opening-balances/advanced-deposits" \  -H "Content-Type: application/json" \  -d '{    "reservations": [      {        "reservationId": "54c41ef9-5629-4a9c-bb0d-10f615966bd0"      }    ]  }'
{
  "amount": -9007199254740991,
  "currency": "string",
  "updatedAt": "string",
  "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",
  "account": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "reservations": [
    {
      "reservationId": "54c41ef9-5629-4a9c-bb0d-10f615966bd0",
      "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
      "payment": -9007199254740991,
      "refund": -9007199254740991
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}